{% if patients %}
    <ul>
        {% for patient in patients %}
            <li><a href="{% url 'view_medical_history' patient.id %}">{{ patient.first_name }} {{ patient.last_name }}</a></li>
        {% endfor %}
    </ul>
{% else %}
    <p>No results found.</p>
{% endif %}